import { BaseFilter, BaseQuery, ParamAllocator } from '@cubejs-backend/schema-compiler';
declare class QuestFilter extends BaseFilter {
    orIsNullCheck(column: string, not: string): string;
    setWhere(column: string): string;
    notSetWhere(column: string): string;
}
export declare class QuestQuery extends BaseQuery {
    newFilter(filter: any): QuestFilter;
    newParamAllocator(): ParamAllocator;
    concatStringsSql(strings: string[]): string;
    convertTz(field: string): string;
    timeStampCast(value: string): string;
    dateTimeCast(value: string): string;
    subtractInterval(date: string, interval: string): string;
    addInterval(date: string, interval: string): string;
    unixTimestampSql(): string;
    timeGroupedColumn(granularity: string, dimension: string): string;
    dimensionsJoinCondition(leftAlias: string, rightAlias: string): string;
    renderSqlMeasure(name: string, evaluateSql: string, symbol: any, cubeName: string, parentMeasure: string): string;
    primaryKeyCount(cubeName: string, distinct: boolean): string;
    orderHashToString(hash: any): string | null;
    private getFieldAlias;
    groupByClause(): string;
}
export {};
//# sourceMappingURL=QuestQuery.d.ts.map